package model

// DiseaseType 病害类别
type DiseaseType struct {
	TypeId     int64  `xorm:"not null pk autoincr INT(11)" json:"typeId"`
	TypeName   string `xorm:"varchar(200) not null" json:"typeName"`
	CategoryId int    `xorm:"not null SMALLINT default 1" json:"categoryId"` //病害分类, 1:道路 2:桥梁 3:隧道 4:边坡
	Status     int    `xorm:"not null INT(11) default 0" json:"status"`
	CreateAt   int64  `xorm:"created" json:"createAt"`
	UpdateAt   int64  `xorm:"updated" json:"updateAt"`
}
