package model

type MatterCategory struct {
	CategoryId   int64  `xorm:"not null pk autoincr INT(11)" json:"categoryId"` //
	CategoryName string `xorm:"VARCHAR(40) not null" json:"categoryName"`       //
	CategoryDesc string `xorm:"VARCHAR(200)" json:"categoryDesc"`               //
	Status       int    `xorm:"SMALLINT not null default 0" json:"status"`      //
	CreateAt     int64  `xorm:"created" json:"createAt"`                        //
	UpdateAt     int64  `xorm:"updated" json:"updateAt"`                        //
}
