package model

type MatterServiceParams struct {
	ParamsId        int64  `xorm:"not null pk autoincr INT(11)" json:"paramsId"`
	MatterId        int64  `xorm:"not null INT(11) default 0" json:"matterId"`
	VersionId       int64  `xorm:"not null INT(11) default 0" json:"versionId"`
	ServiceId       int64  `xorm:"not null INT(11) default 0" json:"serviceId"`
	ParamsOwnerType int    `xorm:"not null SMALLINT default 0" json:"paramsOwnerType"` //参数的所属类型，1:服务入参; 2:服务出参
	ParamName       string `xorm:"varchar(200) not null" json:"paramName"`             //参数名称
	ParamIdentifier string `xorm:"varchar(64) not null" json:"paramIdentifier"`        //参数标识符
	ParamDesc       string `xorm:"varchar(200)" json:"paramDesc"`                      //参数描述
	DataType        int    `xorm:"not null INT(11) default 0" json:"dataType"`         //数据类型
	MaxValue        string `xorm:"varchar(200) " json:"maxValue"`
	MinValue        string `xorm:"varchar(200)" json:"minValue"`
	StepValue       string `xorm:"varchar(200) " json:"stepValue"`
	Unit            string `xorm:"varchar(200) " json:"unit"`
	Status          int    `xorm:"not null SMALLINT default 0" json:"status"`
	CreateAt        int64  `xorm:"created" json:"createAt"`
	UpdateAt        int64  `xorm:"updated" json:"updateAt"`
}
