package model

type Owner struct {
	OwnerId    int    `xorm:"not null pk autoincr INT(11)" json:"ownerId"`
	OwnerName  string `xorm:"varchar(200) not null " json:"ownerName"`
	ChargeUser string `xorm:"varchar(200) not null " json:"chargeUser"`
	Phone      string `xorm:"varchar(100) not null " json:"phone"`
	Creator    int64  `xorm:"INT(11) default 0" json:"creator"`
	Modifier   int64  `xorm:"INT(11) default 0" json:"modifier"`
	Status     int    `xorm:"SMALLINT default 1" json:"status"`
	CreateAt   int64  `xorm:"created" json:"createAt"`
	UpdateAt   int64  `xorm:"updated" json:"updateAt"`
}
