package model

type Brand struct {
	BrandId   int64  `xorm:"not null pk autoincr INT(11)" json:"brandId"`
	BrandName string `xorm:"varchar(200) not null" json:"brandName"`
	BrandLogo string `xorm:"varchar(200) " json:"brandLogo"`
	BrandWeb  string `xorm:"varchar(200) " json:"brandWeb"`
	Status    int    `xorm:"not null INT(11) default 0" json:"status"`
	CreateAt  int64  `xorm:"created" json:"createAt"`
	UpdateAt  int64  `xorm:"updated" json:"updateAt"`
	DeleteAt  int64  `xorm:"deleted" json:"deleteAt"`
}
