package model

// Disease 病害库
type Disease struct {
	DiseaseId       int64  `xorm:"not null pk autoincr INT(11)" json:"diseaseId"`
	DiseaseName     string `xorm:"varchar(200) not null " json:"diseaseName"`
	DiseaseType     int    `xorm:"not null INT(11) default 0" json:"diseaseType"`
	CategoryId      int    `xorm:"not null SMALLINT default 1" json:"categoryId"` //病害分类, 1:道路 2:桥梁 3:隧道 4:边坡
	DiseaseLevel    string `xorm:"varchar(20) not null" json:"diseaseLevel"`
	DetectionMethod string `xorm:"varchar(200) not null " json:"detectionMethod"`
	DiseaseDesc     string `xorm:"TEXT" json:"diseaseDesc"`
	Reference       string `xorm:"varchar(200) not null " json:"reference"` //参照标准
	CreateAt        int64  `xorm:"created" json:"createAt"`
	UpdateAt        int64  `xorm:"updated" json:"updateAt"`
}
