package model

// MatterAttribute 物模型属性
type MatterAttribute struct {
	AttributeId   int64  `xorm:"not null pk autoincr INT(11)" json:"attributeId"`
	MatterId      int64  `xorm:"not null INT(11) index" json:"matterId"`
	VersionId     int64  `xorm:"not null INT(11) default 0" json:"versionId"`
	AttributeName string `xorm:"varchar(200) not null" json:"attributeName"`
	AttributeKey  string `xorm:"varchar(200) not null" json:"attributeKey"`
	AttributeDesc string `xorm:"varchar(200) not null" json:"attributeDesc"`
	DataType      int    `xorm:"not null INT(11) default 0" json:"dataType"`
	MaxValue      string `xorm:"varchar(200) " json:"maxValue"`
	MinValue      string `xorm:"varchar(200)" json:"minValue"`
	StepValue     string `xorm:"varchar(200) " json:"stepValue"`
	Unit          string `xorm:"varchar(200) " json:"unit"`
	IsOnlyRead    int    `xorm:"not null SMALLINT default 0" json:"isOnlyRead"`
	Status        int    `xorm:"not null SMALLINT default 0" json:"status"`
	CreateAt      int64  `xorm:"created" json:"createAt"`
	UpdateAt      int64  `xorm:"updated" json:"updateAt"`
}
