package model

type MatterVersion struct {
	VersionId   int64  `xorm:"not null pk autoincr INT(11)" json:"versionId"`
	MatterId    int64  `xorm:"not null INT(11) default 0" json:"matterId"`
	Version     string `xorm:"varchar(50) not null" json:"version"`
	VersionDesc string `xorm:"varchar(200) not null" json:"versionDesc"`
	Status      int    `xorm:"not null SMALLINT default 0" json:"status"`
	CreateAt    int64  `xorm:"created" json:"createAt"`
	UpdateAt    int64  `xorm:"updated" json:"updateAt"`
}
